package com.gprinter.zb;

import java.io.IOException;
import java.io.InputStream;
import java.util.zip.CRC32;
import java.util.zip.InflaterInputStream;

/* loaded from: com_gprinter_zb.jar:com/gprinter/zb/CustomGZIPInputStream.class */
class CustomGZIPInputStream extends InflaterInputStream {
    protected CRC32 crc;
    protected boolean eos;
    private boolean closed;
    public static final int GZIP_MAGIC = 35615;

    private void ensureOpen() throws IOException {
        if (this.closed) {
            throw new IOException("Stream Closed");
        }
    }

    public CustomGZIPInputStream(InputStream var1, int var2) throws IOException {
        super(var1);
        this.crc = new CRC32();
        this.closed = false;
        this.crc.reset();
    }

    public CustomGZIPInputStream(InputStream var1) throws IOException {
        this(var1, 512);
    }

    @Override // java.util.zip.InflaterInputStream, java.io.FilterInputStream, java.io.InputStream
    public int read(byte[] var1, int var2, int var3) throws IOException {
        ensureOpen();
        if (this.eos) {
            return -1;
        }
        int var32 = super.read(var1, var2, var3);
        if (var32 == -1) {
            this.eos = true;
        } else {
            this.crc.update(var1, var2, var32);
        }
        return var32;
    }

    @Override // java.util.zip.InflaterInputStream, java.io.FilterInputStream, java.io.InputStream, java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        if (!this.closed) {
            super.close();
            this.eos = true;
            this.closed = true;
        }
    }
}
